Panic Soft
#NoFreeOnExit TRUE

define ROOT     C:\Program Files\nxlog
define CERTDIR  %ROOT%\cert
define CONFDIR  %ROOT%\conf
define LOGDIR   %ROOT%\data
#define LOGFILE  %LOGDIR%\nxlog.log
#LogFile %LOGFILE%

Moduledir %ROOT%\modules
CacheDir  %ROOT%\data
Pidfile   %ROOT%\data\nxlog.pid
SpoolDir  %ROOT%\data

<Extension _syslog>
    Module      xm_syslog
</Extension>

<Input in>
    Module im_msvistalog
    <QueryXML>
        <QueryList>
            <Query Id="0">
                <Select Path="Security">*</Select>
                <Select Path="Microsoft-Windows-RemoteDesktopServices-RdpCoreTS/Operational">*</Select>
            </Query>
        </QueryList>
    </QueryXML>
</Input>

<Output out>
    Module  om_udp
    Host    syslog.osbourne.uk.eu.org
    Port    514
    Exec    to_syslog_bsd();
</Output>

<Extension _charconv>
    Module      xm_charconv
    AutodetectCharsets iso8859-2, utf-8, utf-16, utf-32
</Extension>

<Route r>
    Path in => out
</Route>
